#include <stdio.h>
#include <sysexits.h>
#include <fcntl.h>
#include "gamepad.h"

#define USB_GAMEPAD "/dev/uhid0"
//#define USB_GAMEPAD "/dev/joy0"

int     main(int argc,char *argv[])

{
    int         c;
    gamepad_t   *gp;

    if ( (gp = gamepad_open(USB_GAMEPAD,GAMEPAD_INTERFACE_AUTO,
		O_RDONLY)) == NULL )
    {
	fprintf(stderr,"Could not open %s\n",USB_GAMEPAD);
	return EX_UNAVAILABLE;
    }
    
    printf("Buttons = %d\n",gamepad_num_buttons(gp));
    do
    {
	puts("Press button 1 to quit...");
	gamepad_read(gp);
	printf("X: %3d  Y: %3d  Z: %3d  Rz: %3d  Hat: %3d\n",
	    gamepad_x(gp),gamepad_y(gp),gamepad_z(gp),gamepad_rz(gp),
	    gamepad_hat_switch(gp));
	for (c=1; c<=12; ++c)
	    printf("%d ",gamepad_button(gp,c));
	putchar('\n');
    }   while ( gamepad_button(gp,1) == 0 );

    gamepad_close(gp);
    
    return EX_OK;
}

